﻿using Newtonsoft.Json;
using Servers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Winify.Gotify
{
    /// <summary>
    /// {
    /// "paging":{
    /// "size":2,
    /// "since":0,
    /// "limit":100
    /// },
    /// "messages":[
    /// {
    /// "id":26622,
    /// "appid":1,
    /// "message":"bbbb",
    /// "title":"aaaa",
    /// "priority":0,
    /// "date":"2023-07-29T06:54:45.982069186Z"
    /// },
    /// {
    /// "id":26621,
    /// "appid":1,
    /// "message":"bbbb",
    /// "title":"aaaa",
    /// "priority":0,
    /// "date":"2023-07-29T06:48:29.397144801Z"
    /// }
    /// ]
    /// }
    /// </summary>
    public class GotifyMessageQuery
    {
        #region Public Enums, Properties and Fields

        [JsonProperty(PropertyName = "paging")] public GotifyPaging Paging { get; set; }

        [JsonProperty(PropertyName = "messages")] public GotifyMessage[] Messages { get; set; }

        #endregion
    }
}
