﻿using System;
using System.Drawing;

namespace Winify.Gotify
{
    public class GotifyNotificationEventArgs : EventArgs
    {
        #region Constructors, Destructors and Finalizers

        public GotifyNotificationEventArgs(GotifyMessage notification, Image image)
        {
            Notification = notification;
            Image = image;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public GotifyMessage Notification { get; set; }

        public Image Image { get; set; }

        #endregion
    }
}