﻿using System;
using Newtonsoft.Json;
using Servers;

namespace Winify.Gotify
{
    /// <summary>
    ///     {"id":22,"appid":1,"message":"iot","title":"Arcade
    ///     Netplay","priority":0,"date":"2022-10-26T14:55:59.050734643+03:00"}
    /// </summary>
    public class GotifyMessage
    {
        #region Public Enums, Properties and Fields

        [JsonProperty(PropertyName = "id")] public int Id { get; set; }

        [JsonProperty(PropertyName = "appid")] public int AppId { get; set; }

        [JsonProperty(PropertyName = "message")]
        public string Message { get; set; }

        [JsonProperty(PropertyName = "title")] public string Title { get; set; }

        [JsonProperty(PropertyName = "priority")]
        public int Priority { get; set; }

        [JsonProperty(PropertyName = "date")] public DateTime Date { get; set; }

        [JsonIgnore] public Server Server { get; set; }

        #endregion
    }
}